Summary:	A library that performs asynchronous DNS operations
Summary(pl.UTF-8):	Biblioteka do wykonywania asynchronicznych zapytań DNS
Name:		c-ares
Version:	1.10.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://c-ares.haxx.se/download/%{name}-%{version}.tar.gz
# Source0-md5:	1196067641411a75d3cbebe074fd36d8
Patch0:		%{name}-resolv.conf-reading-is-not-fatal.patch
URL:		http://c-ares.haxx.se/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%description -l pl.UTF-8
c-ares jest napisaną w C biblioteką do asynchronicznego wykonywania
zapytań DNS. c-ares jest to fork biblioteki 'ares' napisanej przez
Grega Hudsona w MIT.

%package devel
Summary:	Development files for c-ares library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki c-ares
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for c-ares library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki c-ares.

%package static
Summary:	Static c-ares library
Summary(pl.UTF-8):	Statyczna biblioteka c-ares
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static c-ares library.

%description static -l pl.UTF-8
Statyczna biblioteka c-ares.

%prep
%setup -q
%patch0 -p1

# we want our own debug flags, if any
sed -i -e 's/flags_dbg_off=".*"/flags_dbg_off="%{rpmcflags}"/' m4/cares-compilers.m4
sed -i -e 's/flags_opt_yes=".*"/flags_opt_yes="%{rpmcflags}"/' m4/cares-compilers.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-optimize="%{rpmcflags}" \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README README.cares CHANGES NEWS
%attr(755,root,root) %{_libdir}/libcares.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcares.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcares.so
%{_libdir}/libcares.la
%{_includedir}/ares.h
%{_includedir}/ares_build.h
%{_includedir}/ares_dns.h
%{_includedir}/ares_rules.h
%{_includedir}/ares_version.h
%{_mandir}/man3/ares_*.3*
%{_pkgconfigdir}/libcares.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcares.a
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/c-ares.git;a=log;h=master

* Mon May 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 80c3c68
- updated to 1.10.0

* Mon Jun 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 6acc248
- updated to 1.9.1

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 1fd03af
- updated to 1.8.0

* Sat Aug 20 2011 Jakub Bogusz <qboosh@pld-linux.org> b9206b2
- updated to 1.7.5

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> 14240c5
- Up to 1.7.4

* Sat Jun 12 2010 aredridel <aredridel@pld-linux.org> d522fb6
- 1.7.3

* Sat Jun 05 2010 pawelz <pawelz@pld-linux.org> 1d07c1a
- macros overdoze

* Sat Jun 05 2010 pawelz <pawelz@pld-linux.org> 7a09614
- up to 20100605

* Sun May 23 2010 aredridel <aredridel@pld-linux.org> bf3cdf8
- 1.7.1-post snapshot, for ares_parse_mx etc

* Fri May 21 2010 Jakub Bogusz <qboosh@pld-linux.org> 777ebe8
- ac version

* Sat Apr 24 2010 aredridel <aredridel@pld-linux.org> 3d8bc3f
- 1.7.1

* Sun Feb 07 2010 Elan Ruusamäe <glen@pld-linux.org> b43df78
- up to 1.7.0

* Sun Feb 07 2010 Elan Ruusamäe <glen@pld-linux.org> 5122b15
- treat not readable resolv.conf (and other /etc files) as if it was empty, not give out fatal error on it
- so curl-libs -> python-pycurl -> python-urlgrabber could be built on our builders
  see http://lists.pld-linux.org/mailman/pipermail/pld-cvs-commit/Week-of-Mon-20100201/265667.html
- rel 2

* Sun Feb 07 2010 Elan Ruusamäe <glen@pld-linux.org> cce9c71
- build with our debugflags to get proper debuginfo package

* Wed Jan 21 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cfde549
- up to 1.6.0

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 3932752
- up to 1.5.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d0f0592
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 166ca01
- converted to UTF-8

* Sun Feb 11 2007 ankry <ankry@pld-linux.org> 94cbd48
- fixed pl summary

* Mon Dec 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c8da2f
- up to 1.3.2

